﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Silverlight;
using C1.Silverlight.Extended;  

namespace C1TreeViewMVVM
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.DataContext = new MyViewModel();
        }
    }

    public class MyViewModel
    {
        private List<Parent> _collections;
        public MyViewModel()
        {
            _collections = new List<Parent>();
            _collections.Add(new Parent() { Name = "P1", Childs = new List<Child>() { new Child("C11"){IsSelected=true} , new Child("C12"), new Child("C13") } });
            _collections.Add(new Parent() { Name = "P2", IsSelected=true, Childs = new List<Child>() { new Child("C21"), new Child("C22"), new Child("C23") } });
            _collections.Add(new Parent() { Name = "P3", Childs = new List<Child>() { new Child("C31"), new Child("C32"), new Child("C33") } });
        }
        public List<Parent> Collections
        {
            get
            {
                return _collections; 
            }
        }
  
    }

    public class Parent
    {
        public string Name{get;set;}
        public List<Child> Childs{get;set;}
        public bool IsSelected { get; set; }
    }

    public class Child
    {
        public Child(string name)
        {
            this.Name=name; 
        }
        public string Name{get;set;}
        public bool IsSelected { get; set; }
    }
}

